# Uses of Interface
org.eclipse.e4.ui.model.application.ui.advanced.MPerspective

Packages that use MPerspective
Package
Description
org.eclipse.e4.ui.model.application.ui.advanced
Application programming interfaces describing the advanced Eclipse 4 user interface model elements.
org.eclipse.e4.ui.model.application.ui.advanced.impl
org.eclipse.e4.ui.model.application.ui.advanced.util
org.eclipse.e4.ui.workbench.addons.perspectiveswitcher
org.eclipse.e4.ui.workbench.modeling
Application programming interfaces describing the Eclipse 4 model services.
org.eclipse.ui.internal

## Uses of MPerspective in org.eclipse.e4.ui.model.application.ui.advanced

Subinterfaces with type arguments of type MPerspective in org.eclipse.e4.ui.model.application.ui.advanced
Modifier and Type
Interface
Description
`interface`
`MPerspectiveStack`
A representation of the model object 'Perspective Stack'.
Methods in org.eclipse.e4.ui.model.application.ui.advanced that return MPerspective
Modifier and Type
Method
Description
`MPerspective`
MAdvancedFactory.`createPerspective()`
Returns a new object of class 'Perspective'.

## Uses of MPerspective in org.eclipse.e4.ui.model.application.ui.advanced.impl

Classes in org.eclipse.e4.ui.model.application.ui.advanced.impl that implement MPerspective
Modifier and Type
Class
Description
`class`
`PerspectiveImpl`
An implementation of the model object 'Perspective'.
Subclasses with type arguments of type MPerspective in org.eclipse.e4.ui.model.application.ui.advanced.impl
Modifier and Type
Class
Description
`class`
`PerspectiveStackImpl`
An implementation of the model object 'Perspective Stack'.
Methods in org.eclipse.e4.ui.model.application.ui.advanced.impl that return MPerspective
Modifier and Type
Method
Description
`MPerspective`
AdvancedFactoryImpl.`createPerspective()`

## Uses of MPerspective in org.eclipse.e4.ui.model.application.ui.advanced.util

Methods in org.eclipse.e4.ui.model.application.ui.advanced.util with parameters of type MPerspective
Modifier and Type
Method
Description
`T1`
AdvancedSwitch.`casePerspective(MPerspective object)`
Returns the result of interpreting the object as an instance of 'Perspective'.

## Uses of MPerspective in org.eclipse.e4.ui.workbench.addons.perspectiveswitcher

Methods in org.eclipse.e4.ui.workbench.addons.perspectiveswitcher with parameters of type MPerspective
Modifier and Type
Method
Description
`protected ToolItem`
PerspectiveSwitcher.`getItemFor(MPerspective persp)`

## Uses of MPerspective in org.eclipse.e4.ui.workbench.modeling

Methods in org.eclipse.e4.ui.workbench.modeling that return MPerspective
Modifier and Type
Method
Description
`MPerspective`
EModelService.`getActivePerspective(MWindow window)`
Return the active perspective for the given window.
`MPerspective`
EModelService.`getPerspectiveFor(MUIElement element)`
Methods in org.eclipse.e4.ui.workbench.modeling that return types with arguments of type MPerspective
Modifier and Type
Method
Description
`Optional<MPerspective>`
EPartService.`switchPerspective(String perspectiveId)`
Switch to the specified perspective.
Methods in org.eclipse.e4.ui.workbench.modeling with parameters of type MPerspective
Modifier and Type
Method
Description
`void`
EModelService.`hideLocalPlaceholders(MWindow window, MPerspective perspective)`
This method ensures that there will never be two placeholders for the same referenced element visible in the presentation at the same time.
`boolean`
EPartService.`isPartOrPlaceholderInPerspective(String elementId, MPerspective perspective)`
Indicates whether a part with a certain elementId is currently rendered in a certain perspective or not.
`void`
EModelService.`removePerspectiveModel(MPerspective persp, MWindow window)`
Remove the given perspective completely from the model.
`void`
EModelService.`resetPerspectiveModel(MPerspective persp, MWindow window)`
This is a convenience method that will clean the model of all traces of a given perspective.
`void`
EPartService.`switchPerspective(MPerspective perspective)`
Switch to the specified perspective.

## Uses of MPerspective in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal that return MPerspective
Modifier and Type
Method
Description
`MPerspective`
WorkbenchPage.`getCurrentPerspective()`
Methods in org.eclipse.ui.internal with parameters of type MPerspective
Modifier and Type
Method
Description
`void`
WorkbenchPage.`addHiddenItems(MPerspective perspective, String id)`
`void`
WorkbenchPage.`removeHiddenItems(MPerspective perspective, String id)`
`static void`
PerspectiveTagger.`tagPerspective(MPerspective perspective, EModelService modelService)`
Alters known 3.x perspective part folders into their e4 counterparts.
Constructors in org.eclipse.ui.internal with parameters of type MPerspective
Modifier
Constructor
Description
``
`Perspective(org.eclipse.ui.internal.registry.PerspectiveDescriptor desc, MPerspective layout, WorkbenchPage page)`